@font-face {
    font-family: caveat;
    src: url('/fonts/Caveat-Variable.ttf');
}

@font-face {
    font-family: caveat-brush;
    src: url('/fonts/CaveatBrush-Regular.ttf');
}

@media (max-width: 768px) {
    #nav {
        display: flex;
        align-items: flex-start;
        flex-direction: column;
        justify-content: space-between;
        padding: 0;
        margin: 0;
    }

    .logo {
        background-image: url('/images/Logo.png');
        background-repeat: no-repeat;
        background-position: left center;
        background-size: 5rem;
    }

    .logo a {
        text-decoration: none;
        color: black;
    }

    h1 {
        font-family: caveat-brush;
        font-size: 32px;
        margin-top: 1.5rem;
        margin-bottom: 0.5rem;
    }

    h2 {
        font-family: caveat;
        font-size: 32px;
        margin-top: 2rem;
    }

    .hero {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }

    .content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 1rem;
        margin-left: 1em;
        margin-right: 1em;
    }

    .content img {
        width: 100%;
        object-fit: cover;
        padding-bottom: 1rem;
        aspect-ratio: 1/1;
    }

    .no-mobile {
        display: none;
    }

    .content .text h2 {
        padding-left: 1rem;
    }

    .content .text p {
        padding-left: 1rem;
        padding-right: 1rem;
        font-size: 16px;
    }

    .content .text ul {
        padding-left: 1rem;
        padding-right: 1rem;
        font-size: 16px;
    }

    .center {
        text-align: center;
    }

    .what-im-up-to-list {
        list-style: none;
        padding: 0;
    }

    .what-im-up-to-list li {
        padding-left: 1.5rem;
        background-image: url('/images/Asterisk.png');
        background-repeat: no-repeat;
        background-position: left center;
        background-size: 1.5rem;
    }

    .nav-left {
        display: flex;
        padding-left: 4.5rem;
        font-family: caveat;
        font-size: 32px;
    }


    .nav-right {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding-right: 1rem;
    }

    #nav-links {
        display: flex;
        flex-direction: column;
    }

    #nav-links #links a {
        margin-right: 0rem;
    }

    #nav-links a {
        font-family: caveat;
        font-size: 24px;
        margin-right: 5rem;
    }

    #gallery,
    #workshops,
    #links {
        background-image: url('/images/LinkSeperator.png');
        background-repeat: no-repeat;
        background-position: left center;
        background-size: 2.5rem;
        background-position: 1rem;
        padding-left: 3.5rem;
    }

    .flex-container {
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .link-button {
        font-family: caveat-brush;
        font-size: 24px;
        padding-left: 5rem;
        padding-right: 5rem;
        padding-top: 2rem;
        padding-bottom: 2rem;
        border-radius: 100px;
        display: block;
        margin-bottom: 1.5rem;
        width: 20rem;
        justify-self: center;
    }

    .gallery-grid {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 1rem;
        margin-left: 1rem;
        margin-right: 1rem;
    }

    .gallery-grid img {
        width: 100%;
        object-fit: cover;
        aspect-ratio: 1;
    }

    span.footer {
        font-size: 8px;
    }
}

@media (min-width: 769px) {
    #nav {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0;
        margin: 0;
    }

    .logo a {
        text-decoration: none;
        color: black;
    }

    h1 {
        font-family: caveat-brush;
        font-size: 64px;
    }

    h2 {
        font-family: caveat;
        font-size: 48px;
        margin: 0px;
    }

    .hero {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }

    .content {
        display: flex;
        align-items: flex-start;
        gap: 1rem;
        margin-left: 5em;
        margin-right: 5em;
    }

    .content img {
        width: 25%;
        object-fit: cover;
        padding-bottom: 1rem;
        aspect-ratio: 1/1;
    }


    .content .text {
        width: 50%;
    }

    .content .text h2 {
        padding-left: 2rem;
    }

    .content .text p {
        padding-left: 2rem;
        padding-right: 2rem;
        font-size: 16px;
    }

    .content .text ul {
        padding-left: 2rem;
        padding-right: 2rem;
        font-size: 20px;
    }

    .center {
        text-align: center;
    }

    .what-im-up-to-list {
        list-style: none;
        padding: 0;
    }

    .what-im-up-to-list li {
        padding-left: 2rem;
        background-image: url('/images/Asterisk.png');
        background-repeat: no-repeat;
        background-position: left center;
        background-size: 1.5rem;
    }

    .nav-left {
        display: flex;
        padding-left: 5rem;
        font-family: caveat;
        font-size: 48px;
    }

    .logo {
        background-image: url('/images/Logo.png');
        background-repeat: no-repeat;
        background-position: left center;
        background-size: 5rem;
    }

    .nav-right {
        display: inline;
        gap: 1rem;
        padding-right: 1rem;
    }

    #nav-links {
        display: flex;
    }

    #nav-links #links a {
        margin-right: 0rem;
    }

    #nav-links a {
        font-family: caveat;
        font-size: 48px;
        margin-right: 5rem;
    }

    #gallery,
    #workshops {
        background-image: url('/images/LinkSeperator.png');
        background-repeat: no-repeat;
        background-position: right center;
        background-size: 5rem;
    }

    #startk {
        width: 5rem;
        background-image: url('/images/StartK.png');
        background-repeat: no-repeat;
        background-position: right center;
        background-size: 5rem;
    }

    #endk {
        width: 5rem;
        background-image: url('/images/EndK.png');
        background-repeat: no-repeat;
        background-position: right center;
        background-size: 5rem;
    }

    .flex-container {
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .link-button {
        font-family: caveat-brush;
        font-size: 48px;
        padding-left: 10rem;
        padding-right: 10rem;
        padding-top: 2rem;
        padding-bottom: 2rem;
        border-radius: 100px;
        display: block;
        margin-bottom: 1.5rem;
        width: 40rem;
        justify-self: center;
    }

    .gallery-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 1rem;
        margin-left: 2rem;
        margin-right: 2rem;
    }

    .gallery-grid img {
        width: 100%;
        object-fit: cover;
        aspect-ratio: 1;
    }
}
